Package org.apache.catalina.tribes.transport.bio

## Class MultipointBioSender

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractSender
  - - org.apache.catalina.tribes.transport.bio.MultipointBioSender

All Implemented Interfaces:
  `DataSender`, `MultiPointSender`

    public class MultipointBioSender
    extends AbstractSender
    implements MultiPointSender

### Field Summary

Fields
`protected HashMap<Member,​BioSender>` `bioSenders`

### Constructor Summary

Constructors
`MultipointBioSender()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(Member member)`
`void` `connect()` connect
`void` `disconnect()` disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
`protected void` `finalize()`
`boolean` `keepalive()` keepalive
`void` `remove​(Member member)`
`void` `sendMessage​(Member[] destination, ChannelMessage msg)`
`protected BioSender[]` `setupForSend​(Member[] destination)`

### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

`getAddress, getAttempt, getConnectTime, getDestination, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

`getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

`setDirectBuffer, setMaxRetryAttempts`

### Field Detail

#### bioSenders

    protected final HashMap<Member,​BioSender> bioSenders

### Constructor Detail

#### MultipointBioSender

    public MultipointBioSender()

### Method Detail

#### sendMessage

    public void sendMessage​(Member[] destination,
                            ChannelMessage msg)
                     throws ChannelException

Specified by:
  `sendMessage` in interface `MultiPointSender`
Throws:
  `ChannelException`

#### setupForSend

    protected BioSender[] setupForSend​(Member[] destination)
                                throws ChannelException

Throws:
  `ChannelException`

#### connect

    public void connect()
                 throws IOException

Description copied from class: `AbstractSender`
connect

Specified by:
  `connect` in interface `DataSender`
Specified by:
  `connect` in class `AbstractSender`
Throws:
  `IOException` - TODO Implement this org.apache.catalina.tribes.transport.DataSender method

#### add

    public void add​(Member member)

Specified by:
  `add` in interface `MultiPointSender`

#### remove

    public void remove​(Member member)

Specified by:
  `remove` in interface `MultiPointSender`

#### disconnect

    public void disconnect()

Description copied from class: `AbstractSender`
disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method

Specified by:
  `disconnect` in interface `DataSender`
Specified by:
  `disconnect` in class `AbstractSender`

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

#### keepalive

    public boolean keepalive()

Description copied from class: `AbstractSender`
keepalive

Specified by:
  `keepalive` in interface `DataSender`
Overrides:
  `keepalive` in class `AbstractSender`
Returns:
  boolean TODO Implement this org.apache.catalina.tribes.transport.DataSender method